%% Parametersammenligning med dg som variabel (figur 7.6)
%% Innputt data
a_d=3.5;
a=1400;
fck=linspace(5,100,50);
p=0.01;
d=400;
b=200;
V=50000;
q=50000;
dg=16;
Es=200000;
Ec=10000.*fck.^(1/3);
fy=500;
L=2800;
V_j=(q.*L*10^-3)/2;
%% CSCT 2008
Xcrit=(a-d/2);
c=d.*p.*(Es./Ec).*((1+((2.*Ec)./(p.*Es))).^(1/2)-1);
z=d-(c/3);
Toining=((V.*Xcrit)./(p.*d.*b.*Es.*z)).*((0.6*d-c)./(d-c));
for i=1:50
    if fck(i) <= 60
    Vc(i)=((b.*d.*(fck(i)).^0.5)./(3*(1+((120*Toining(i)*d)/(16+dg))))).*10^-3;
    elseif fck(i) > 60
    Vc(i)=((b.*d.*(fck(i)).^0.5)./(3*(1+((120*Toining(i)*d)/(16))))).*10^-3;
    end
end

Xcrit_j=(d/2)*((L-(d/2))/(L-d));
if Xcrit_j>L/6
    Xcrit_j=L/6;
elseif Xcrit_j<=L/6
    Xcrit_j=Xcrit_j;
end
Toining_j=((V_j.*Xcrit_j)./(p.*d.*b.*Es.*z)).*((0.6*d-c)/(d-c));
for i=1:50
    if fck(i) <= 60
    Vc_j(i)=((b.*d.*(fck(i)).^0.5)./(3*(1+((120*Toining_j(i)*d)/(16+dg))))).*10^-3;
    elseif fck(i) > 60
    Vc_j(i)=((b.*d.*(fck(i)).^0.5)./(3*(1+((120*Toining_j(i)*d)/(16))))).*10^-3;
    end
end


%% Videreutvikling CSCT

Xcrit_CSCT=a-d;
rf=d;
Alpha_cs=(Xcrit_CSCT/d);
k=(1/(1-(0.15*(d/rf))))*(0.5+0.2*(Alpha_cs)^(1/3));
Vc_rev=k.*b.*d*((100.*p.*fck.*((16+dg)/(Xcrit_CSCT))).^(1/3)).*10^-3;
for i=1:50
    if fck(i) <= 60
    Vc_rev(i)=k.*b.*d*((100.*p.*fck(i).*((16+dg)/(Xcrit_CSCT))).^(1/3)).*10^-3;
    elseif fck(i) > 60
    Vc_rev(i)=k.*b.*d*((100.*p.*fck(i).*((16+dg*(60/fck(i))^2)/(Xcrit_CSCT))).^(1/3)).*10^-3;
    end
end

Xcrit_CSCT_j=d*((L-d)/(L-2*d));
rf_j=(1/2)*((L/2)-d);
Alpha_cs_j=(Xcrit_CSCT_j/d);
k_j=(1/(1-(0.15*(d/rf_j))))*(0.5+0.2*(Alpha_cs_j)^(1/3));
Vc_rev_j=k_j.*b.*d*((100.*p.*fck.*((16+dg)/(Xcrit_CSCT_j))).^(1/3)).*10^-3;
for i=1:50
    if fck(i) <= 60
    Vc_rev_j(i)=k_j.*b.*d*((100.*p.*fck(i).*((16+dg)/(Xcrit_CSCT_j))).^(1/3)).*10^-3;
    elseif fck(i) > 60
    Vc_rev_j(i)=k_j.*b.*d*((100.*p.*fck(i).*((16+dg*(60/fck(i))^2)/(Xcrit_CSCT_j))).^(1/3)).*10^-3;
    end
end


%% Eurokode 2
K=1+(200/d)^(1/2);
for i=1:50
    if 0.18*K*((100*p*fck(i)).^(1/3))*b*d*10^-3 >= 0.035*(K^(3/2))*fck(i).^(1/2)*b*d*10^-3
    Vc_EC2(i)=0.18*K*((100*p*fck(i)).^(1/3))*b*d*10^-3;
    elseif 0.18*K*((100*p*fck(i)).^(1/3))*b*d*10^-3 < 0.035*(K^(3/2))*fck(i).^(1/2)*b*d*10^-3
    Vc_EC2(i)=0.035*(K^(3/2))*fck(i).^(1/2)*b*d*10^-3;
    end
end



%% Revisjon av EC2

Xcrit_EC2rev=(a-d/2);

for i=1:50
    if Xcrit_EC2rev >= 2.5*d
    Vc_EC2rev=(a-d/2);
    elseif Xcrit_EC2rev < 2.5*d
    Xcrit_EC2rev=2.5*d;
    end
end

for i=1:50
    if fck(i) <= 60
    Vc_EC2rev(i)=((100*p*fck(i)*((16+dg)/(Xcrit_EC2rev)))^(1/3))*b*d*10^-3;
    elseif fck(i) > 60
    Vc_EC2rev(i)=((100*p*fck(i)*((16+dg*(60/fck(i))^2)/(Xcrit_EC2rev)))^(1/3))*b*d*10^-3;
    end
end

for i=1:50
    if fck(i) <= 60
    Vmin_rev(i)=0.021*((Es*fck(i)*((16+dg)/(fy*d)))^(1/2))*b*d*10^-3;
    elseif fck(i) > 60
    Vmin_rev(i)=0.021*((Es*fck(i)*((16+dg*(60/fck(i))^2)/(fy*d)))^(1/2))*b*d*10^-3;
    end
end

for i=1:50
    if Vc_EC2rev(i) >= Vmin_rev(i)
    Vc_EC2rev(i)=Vc_EC2rev(i);
    elseif Vc_EC2rev(i) < Vmin_rev(i)
    Vc_EC2rev(i)=Vmin_rev(i);
    end
end

Xcrit_EC2rev_j=(d/2)*((L-(d/2))/(L-d));

for i=1:50
    if Xcrit_EC2rev_j >= 2.5*d
    Vc_EC2rev_j=(d/2).*((L-(d/2))./(L-d));
    elseif Xcrit_EC2rev_j < 2.5*d
    Xcrit_EC2rev_j=2.5*d;
    end
end


for i=1:50
    if fck(i) <= 60
    Vc_EC2rev_j(i)=((100*p*fck(i)*((16+dg)/(Xcrit_EC2rev_j)))^(1/3))*b*d*10^-3;
    elseif fck(i) > 60
    Vc_EC2rev_j(i)=((100*p*fck(i)*((16+dg*(60/fck(i))^2)/(Xcrit_EC2rev_j)))^(1/3))*b*d*10^-3;
    end
end


for i=1:50
    if Vc_EC2rev_j(i) >= Vmin_rev(i)
    Vc_EC2rev_j(i)=Vc_EC2rev_j(i);
    elseif Vc_EC2rev_j(i) < Vmin_rev(i)
    Vc_EC2rev_j(i)=Vmin_rev(i);
    end
end

%% Plot 

fig=figure;
subplot(1,2,1)
plot (fck,Vc,'r','LineWidth',1.5)
hold on
plot(fck,Vc_rev,'color',[0 0.6 0.3],'LineWidth',1.5)
hold on
plot(fck,Vc_EC2,'b','LineWidth',1.5)
hold on
plot(fck,Vc_EC2rev,'color',[1.0 0.8 0],'LineWidth',1.5)
hold on
legend('CSCT 2008','Videreutvikling CSCT','Eurokode 2', 'Eurokode 2 revisjon','location','northwest')
xlabel('fck [mm]')
ylabel ('VRd [kN]')
axis([8 100 20 140])
title('(a)  Sammenligning av fck for punktlast','fontsize',16)

%plot jevnfordeltlast
subplot(1,2,2)
plot(fck,Vc_j,'r','LineWidth',1.5)
hold on
plot(fck,Vc_rev_j,'color',[0 0.6 0.3],'LineWidth',1.5')
hold on
plot(fck,Vc_EC2,'b','LineWidth',1.5)
hold on
plot(fck,Vc_EC2rev_j,'color',[1.0 0.8 0],'LineWidth',1.5)
hold on
legend('CSCT 2008','Videreutvikling CSCT','Eurokode 2', 'Eurokode 2 revisjon','location','northwest')
xlabel('fck [MPa]')
ylabel ('VRd [kN]')
axis([8 100 10 200])
title('(b)  Sammenligning av fck for jevnt fordelt last','fontsize',16)
set(fig,'position',[0 0 1300 500])

print(fig,'fck_Sammenligninger','-dpng','-r300')