%% Beregning av bidraget fra dybel effekten
%% inndata
a=1400;
fck=35;
p=0.01;
d=400;
b=200;
V=linspace(1,800,500);
dg=16;
Es=200000;
Ec=10000*fck.^(1/3);
fy=500;
L=2.*a;
%% Beregning v_dowel
acs=(0.5*a+0.51*d)*10^-3;
lf=d/6;
c=d.*p.*(Es./Ec).*((1+((2*Ec)./(p.*Es))).^(1/2)-1);
z=d-c/3;
Toining=((V.*acs.*10^6)./(p.*d.*b.*Es.*z)).*((0.6*d-c)/(d-c));
if fck<50
     fct=0.3*(fck)^(2/3);
 elseif fck>=50
     fct=0.3*(50*fck)^(1/3);
end
 
ua=Toining*(d-c);
kb=0.063*((d-c)./ua).^(1/4);
for i=1:500                                                                                
    if (0.063*((d-c)./ua(i)).^(1/4) <= 1)                         
    kb(i) = 0.063*((d-c)./ua(i)).^(1/4);  
    elseif (0.063*((d-c)./ua(i)).^(1/4) > 1)                      
    kb(i) = 1;
    end
end
        
v_dowel=5*kb*fct*p*b*d;
if fck<=60
    dg=dg;
elseif fck>60
    dg=dg*(60/fck)^2;
end

if 16+dg <=40
    ddg=16+dg;
elseif 16+dg >40
    ddg=40;
end

toining_forhold=Toining*d/ddg;
Vdowel_forhold=v_dowel/(b*d*(fck^(1/2)));
%% plot
fig=figure
a=area(toining_forhold,Vdowel_forhold)
a(1).FaceColor=[1.0 0.8 0]
axis([0 0.06 0 0.04])
xlabel('{\epsilon}_s*d /d_d_g  [-]')
ylabel('V_d_o_w_e_l/(b d \surdfck) [\surdMPa]')
legend('Dybel effekten','location','northeast')
title('Bidrag fra dybel effekten','fontsize',16)
set(fig,'position',[0 0 1000 500])
print(fig,'Vdowel','-dpng','-r300')
