%% Illustrasjon for tilnrmet funksjonsutrykk innenfor vre og nedregrense (fig 4.23)
%% Beregning vre grense
%% Innputt data
a=5000;
fck=20;
p=0.03;
d=2000;
b=200;
V=linspace(1,5000,500);
dg=8;
Es=200000;
Ec=10000*fck.^(1/3);
fy=500;
L=2.*a;
%% Beregning Vres
acs=(a-d)*10^-3;
lf=d/6;
c=d.*p.*(Es./Ec).*((1+((2*Ec)./(p.*Es))).^(1/2)-1);
z=d-c/3;
Toining=((V.*acs.*10^6)./(p.*d.*b.*Es.*z)).*((0.6*d-c)/(d-c));
lf=d/6;
df=d-c+(lf*sin(pi/8));
Gf=0.073*fck^(0.18);
 if fck<50
     fct=0.3*(fck)^(2/3);
 elseif fck>=50
     fct=0.3*(50*fck)^(1/3);
 end

wc=(Gf/fct)*((1+0.31)/0.31);
ua=Toining*(d-c);

Rotasjon=ua/df;

%Integrasjonsgrense
for i=1:500
    if (Rotasjon(i)*lf < wc)
    lf_1(i)=lf;
    elseif (Rotasjon(i)*lf > wc)
    lf_1(i)=(wc/ua(i))*df;
    end
end   
 sig_res=fct.*(1-(1/(1+0.31)).*((ua.*lf_1)/(df*wc)).^0.31);
for i=1:500                                                                              
    if (fct*(1-(1/(1+0.31)).*((ua(i).*lf_1(i))/(df*wc)).^0.31) >= 0)                         
    sig_res(i) = fct.*(1-(1/(1+0.31)).*((ua(i).*lf_1(i))/(df*wc)).^0.31);  
    elseif (fct*(1-(1/(1+0.31)).*((ua(i).*lf_1(i))/(df*wc)).^0.31) < 0)                      
    sig_res(i) = 0;
    end
end
V_res=b*cos(pi/8).*lf_1.*sig_res;

%% Beregning av va
alpha=0.5*a/d;
vinkel_AB=(pi/4)*(1+(((alpha)^(1/3))/3));
la=(d-c)/(sin(vinkel_AB));
vinkel_BF=pi/8;
va=(ua/df)*(lf*cos(vinkel_BF)+la*cos(vinkel_AB));
%% Beregning av slide_a
if fck<=60
    ddg=16+dg;
elseif fck>60
    ddg=16+dg*(60/fck)^2;
end

if 16+dg <=40
    ddg=16+dg;
elseif 16+dg >40
    ddg=40;
end

vinkel_A=vinkel_AB-atan(df/(lf.*cos(vinkel_BF)+la.*cos(vinkel_AB)));
slide_a=(((ua.^2+va.^2).^(1/2))*sin(vinkel_A))/ddg;
%% Beregning w_a
wa=(ua.^2+va.^2).^(1/2);
c1=0.31;
c2=40;
c3=35;
c4=400;
%% Beregning av l_1,l_2,l_3 og l_4
l_1=lf*cos(vinkel_AB-vinkel_BF);
l_2=l_1+la;
for i=1:500
if wa(i)<wc
    l_3(i)=l_2;
elseif wc <wa(i)
    l_3(i)=(wc/wa(i))*l_2;
end
end
%% Beregning Vagg

%Utrykk 1:
y1=c3*(slide_a).^(4/3);
x1=(c2*slide_a+0.8).*(Rotasjon.*(c2/ddg)).^(1.8+c2.*slide_a);
r1=l_2.^(0.8+c2.*slide_a)-l_1.^(0.8+c2*slide_a);
g1=(l_1.*l_2).^(0.8+c2.*slide_a);

V_aggu1=b*(fck^(1/2)).*sin(vinkel_AB).*(y1./x1).*(r1./g1);

%Utrykk 2:
y2=c4.*(slide_a).^(7/3);
x2=(c2.*slide_a+2).*(Rotasjon.*(c2/ddg)).^(3+c2.*slide_a);
r2=l_2.^(2+c2.*slide_a)-l_1.^(2+c2.*slide_a);
g2=(l_1.*l_2).^(2+c2.*slide_a);

V_aggu2=b*(fck^(1/2)).*cos(vinkel_AB).*(y2./x2).*(r2./g2);

% Utrykk 3:
y3=(1-(1/(1+c1)).*(Rotasjon.*(l_3/wc)).^(c1));

for k=1:500                                                                              
    if (y3(k) >= 0)                         
    y3(k) = (1-(1/(1+c1)).*(Rotasjon(k).*(l_3(k)./wc)).^(c1)) ;  
    elseif (y3(k) < 0)                      
    y3(k) = 0;
    end
    k=k+1;
end


x3=(1-(1/(1+c1)).*(Rotasjon.*(l_1/wc)).^(c1));

V_aggu3=b*cos(vinkel_AB).*(l_3.*y3-l_1.*x3).*fct;
V_agg=V_aggu1-V_aggu2+V_aggu3;

%% Beregning V_dowel

kb=0.063*((d-c)./ua).^(1/4);
for i=1:500                                                                                
    if (0.063*((d-c)./ua(i)).^(1/4) <= 1)                         
    kb(i) = 0.063*((d-c)./ua(i)).^(1/4);  
    elseif (0.063*((d-c)./ua(i)).^(1/4) > 1)                      
    kb(i) = 1;
    end
end
        
V_dowel=5*kb*fct*p*b*d;

%% Beregning V_compr

kc1=0.5;
hf=d-df;
rf=d;

V_compr=((kc1*hf/rf)/(1-(kc1*hf/rf)))*(V_res+V_agg+V_dowel);
toining_forhold=Toining*d/ddg;
%% Bidragene normalisert

Vres_1=V_res/(b*d*(fck^(1/2)));
Vdowel_forhold=V_dowel/(b*d*(fck^(1/2)));
Vres_forhold=V_res/(b*d*(fck^(1/2)))+Vdowel_forhold;
Vagg_forhold=V_agg/(b*d*((fck)^(1/2)))+Vres_forhold;
Vcompr_forhold_1=V_compr/(b*d*(fck^(1/2)))+Vagg_forhold;
%% plot for vre grense
fig=figure
plot(toining_forhold,Vcompr_forhold_1,'color',[1 0.2 0],'LineWidth',1.5)
hold on
axis([0 0.05 0 0.5])
%% Berenging nedre grense
%% Innputt data
a=500;
fck=100;
p=0.01;
d=200;
b=200;
V=linspace(1,5000,500);
dg=32;
Es=200000;
Ec=10000*fck.^(1/3);
fy=500;
L=2.*a;
%% Beregning Vres
acs=(a-d)*10^-3;
lf=d/6;
c=d.*p.*(Es./Ec).*((1+((2*Ec)./(p.*Es))).^(1/2)-1);
z=d-c/3;
Toining=((V.*acs.*10^6)./(p.*d.*b.*Es.*z)).*((0.6*d-c)/(d-c));
lf=d/6;
df=d-c+(lf*sin(pi/8));
Gf=0.073*fck^(0.18);
 if fck<50
     fct=0.3*(fck)^(2/3);
 elseif fck>=50
     fct=0.3*(50*fck)^(1/3);
 end

wc=(Gf/fct)*((1+0.31)/0.31);
ua=Toining*(d-c);

Rotasjon=ua/df;

%Integrasjonsgrense
for i=1:500
    if (Rotasjon(i)*lf < wc)
    lf_1(i)=lf;
    elseif (Rotasjon(i)*lf > wc)
    lf_1(i)=(wc/ua(i))*df;
    end
end   
 sig_res=fct.*(1-(1/(1+0.31)).*((ua.*lf_1)/(df*wc)).^0.31);
for i=1:500                                                                              
    if (fct*(1-(1/(1+0.31)).*((ua(i).*lf_1(i))/(df*wc)).^0.31) >= 0)                         
    sig_res(i) = fct.*(1-(1/(1+0.31)).*((ua(i).*lf_1(i))/(df*wc)).^0.31);  
    elseif (fct*(1-(1/(1+0.31)).*((ua(i).*lf_1(i))/(df*wc)).^0.31) < 0)                      
    sig_res(i) = 0;
    end
end
V_res=b*cos(pi/8).*lf_1.*sig_res;

%% Beregning av va
alpha=0.5*a/d;
vinkel_AB=(pi/4)*(1+(((alpha)^(1/3))/3));
la=(d-c)/(sin(vinkel_AB));
vinkel_BF=pi/8;
va=(ua/df)*(lf*cos(vinkel_BF)+la*cos(vinkel_AB));
%% Beregning av slide_a
if fck<=60
    ddg=16+dg;
elseif fck>60
    ddg=16+dg*(60/fck)^2;
end

if 16+dg <=40
    ddg=16+dg;
elseif 16+dg >40
    ddg=40;
end

vinkel_A=vinkel_AB-atan(df/(lf.*cos(vinkel_BF)+la.*cos(vinkel_AB)));
slide_a=(((ua.^2+va.^2).^(1/2))*sin(vinkel_A))/ddg;
%% Beregning w_a
wa=(ua.^2+va.^2).^(1/2);
c1=0.31;
c2=40;
c3=35;
c4=400;
%% Beregning av l_1,l_2,l_3 og l_4
l_1=lf*cos(vinkel_AB-vinkel_BF);
l_2=l_1+la;
for i=1:500
if wa(i)<wc
    l_3(i)=l_2;
elseif wc <wa(i)
    l_3(i)=(wc/wa(i))*l_2;
end
end
%% Beregning Vagg

%Utrykk 1:
y1=c3*(slide_a).^(4/3);
x1=(c2*slide_a+0.8).*(Rotasjon.*(c2/ddg)).^(1.8+c2.*slide_a);
r1=l_2.^(0.8+c2.*slide_a)-l_1.^(0.8+c2*slide_a);
g1=(l_1.*l_2).^(0.8+c2.*slide_a);

V_aggu1=b*(fck^(1/2)).*sin(vinkel_AB).*(y1./x1).*(r1./g1);

%Utrykk 2:
y2=c4.*(slide_a).^(7/3);
x2=(c2.*slide_a+2).*(Rotasjon.*(c2/ddg)).^(3+c2.*slide_a);
r2=l_2.^(2+c2.*slide_a)-l_1.^(2+c2.*slide_a);
g2=(l_1.*l_2).^(2+c2.*slide_a);

V_aggu2=b*(fck^(1/2)).*cos(vinkel_AB).*(y2./x2).*(r2./g2);

% Utrykk 3:
y3=(1-(1/(1+c1)).*(Rotasjon.*(l_3/wc)).^(c1));

for k=1:500                                                                              
    if (y3(k) >= 0)                         
    y3(k) = (1-(1/(1+c1)).*(Rotasjon(k).*(l_3(k)./wc)).^(c1)) ;  
    elseif (y3(k) < 0)                      
    y3(k) = 0;
    end
    k=k+1;
end


x3=(1-(1/(1+c1)).*(Rotasjon.*(l_1/wc)).^(c1));

V_aggu3=b*cos(vinkel_AB).*(l_3.*y3-l_1.*x3).*fct;
V_agg=V_aggu1-V_aggu2+V_aggu3;

%% Beregning V_dowel

kb=0.063*((d-c)./ua).^(1/4);
for i=1:500                                                                                
    if (0.063*((d-c)./ua(i)).^(1/4) <= 1)                         
    kb(i) = 0.063*((d-c)./ua(i)).^(1/4);  
    elseif (0.063*((d-c)./ua(i)).^(1/4) > 1)                      
    kb(i) = 1;
    end
end
        
V_dowel=5*kb*fct*p*b*d;

%% Beregning V_compr

kc1=0.5;
hf=d-df;
rf=d;

V_compr=((kc1*hf/rf)/(1-(kc1*hf/rf)))*(V_res+V_agg+V_dowel);
toining_forhold=Toining*d/ddg;
%% Bidragene normalisert
Vres_1=V_res/(b*d*(fck^(1/2)));

Vdowel_forhold=V_dowel/(b*d*(fck^(1/2)));
Vres_forhold=V_res/(b*d*(fck^(1/2)))+Vdowel_forhold;
Vagg_forhold=V_agg/(b*d*((fck)^(1/2)))+Vres_forhold;
Vcompr_forhold_2=V_compr/(b*d*(fck^(1/2)))+Vagg_forhold;

%% plot for nedre grense
plot(toining_forhold,Vcompr_forhold_2,'color',[0 0.6 0.3],'LineWidth',1.5)
hold on
axis([0 0.05 0 0.5])

%% plot og beregning av tilnrmet funksjonsutrykk
v_fit=0.019*((ddg./(Toining*d)).^(1/2));
plot(toining_forhold,v_fit,'LineWidth',1.5)
axis([0 0.05 0 0.5])
xlabel('{\epsilon}_s*d /d_d_g  [-]')
ylabel('V_c/(b d \surdfck) [\surdMPa]')
legend('vregrense','Nedregrense','Tilnrmet funksjonsutrykk')
title('Tilnrmet funksjonsutrykk','fontsize',16)
set(fig,'position',[0 0 1000 500])
print(fig,'tilnormetfunksjonsutrykk','-dpng','-r300')
